Show / Hide Table of Contents

# Struct SocketPresence

Represents the WebSocket user's presence status. This may include their online status and their activity.

##### Implements

IPresence

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: Discord.WebSocket

###### Assembly: Discord.Net.WebSocket.dll

##### Syntax

    public struct SocketPresence : IPresence

### Properties

| Improve this Doc View Source

#### ActiveClients

##### Declaration

    public IImmutableSet<ClientType> ActiveClients { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Immutable.IImmutableSet<ClientType> |

| Improve this Doc View Source

#### Activity

##### Declaration

    public IActivity Activity { get; }

##### Property Value

Type | Description
--- | ---
IActivity |

| Improve this Doc View Source

#### Status

##### Declaration

    public UserStatus Status { get; }

##### Property Value

Type | Description
--- | ---
UserStatus |

### Methods

| Improve this Doc View Source

#### ToString()

Gets the status of the user.

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String | A string that resolves to Status.

##### Overrides

System.ValueType.ToString()

### Implements

IPresence